import 'react-native-gesture-handler';
import { AppRegistry, LogBox, Text, TextInput } from "react-native";
import BusinessOpportunity from "./src/Modules/BusinessOpportunity/BusinessOpportunity";
import NearbyTopic from "./src/Modules/NearbyTopic/NearbyTopic";
import SelectiveTopic from "./src/Modules/SelectiveTopic/SelectiveTopic";
import TrafficStatistics from "./src/Modules/TrafficStatistics/TrafficStatistics";
import ModuleName from "./src/Const/ModuleName";

// 方便macaca测试，关闭黄屏警告
LogBox.ignoreAllLogs();

// 字体不随系统变化，https://www.jianshu.com/p/d2f9ce14127a
Text.defaultProps = Object.assign({}, Text.defaultProps, { allowFontScaling: false });
TextInput.defaultProps = Object.assign({}, Text.defaultProps, { allowFontScaling: false });

// 商机
AppRegistry.registerComponent(ModuleName.FHTBusinessOpportunity, () => BusinessOpportunity);
// 附近商机
AppRegistry.registerComponent(ModuleName.FHTNearbyTopic, () => NearbyTopic);
// 严选商机
AppRegistry.registerComponent(ModuleName.FHTSelectiveTopic, () => SelectiveTopic);
// 流量统计
AppRegistry.registerComponent(ModuleName.FHTTrafficStatistics, () => TrafficStatistics);